| GETWD(3) | GETWD(3)

NAME

| getwd – get current directory

SYNOPSIS

`#include <u.h>
#include <libc.h>

` `char* getwd(char *buf, int size)
`

DESCRIPTION

Getwd fills buf with a null-terminated string representing the current directory and returns buf.

Getwd places no more than size bytes in the buffer provided.

SOURCE

| `/usr/local/plan9/src/lib9/getwd.c`

SEE ALSO

| pwd(1)

DIAGNOSTICS

| On error, zero is returned. Errstr(3) may be consulted for more information.

BUGS

| To avoid name conflicts with the underlying system, getwd is a preprocessor macro defined as p9getwd; see intro(3).